Subject: bug#44822: 27.1; Regression in `ffap-read-file-or-url'

From: Stefan Monnier <[email-masked]>
Date: Sat, 31 Jul 2021 13:54:59 -0400

Lars Ingebrigtsen [2021-07-31 18:58:12] wrote:

> Stefan Monnier <[email-masked]> writes:
>
>> Hmm... the motivation for the change is described in the comment:
>>
>>       ;; FIXME: We earlier tried to make use of `url-file-handler' so
>>       ;; `read-file-name' could also be used for URLs, but it
>>       ;; introduced all kinds of subtle breakage such as:
>>       ;; - (file-name-directory "http://a") returning "http://a/"
>>       ;; - Trying to contact remote hosts with no justification
>>       ;; These should be fixed in url-handler-mode before we can try
>>       ;; using it here again.
>
> Duh; my eyes just skipped that bit.  :-/
>
>> Maybe the cure is worse than the disease,
>
> I had forgotten all the peculiarities that url-file-handler has -- it's
> simply not a usable solution.
>
> Perhaps somebody can come up with a much, much simpler solution for use
> in `read-file-name' only -- that shouldn't be insurmountable, I think...

Do you think that someone's last name could end in "olpiatto", maybe?

        Stefan